<div><h1>Pending Request</h1></div>

<div class="example-container mat-elevation-z8">
  <mat-table #table [dataSource]="dataSource" matSort>

    <!-- Position Column -->
    <ng-container matColumnDef="typeId">
      <mat-header-cell *matHeaderCellDef mat-sort-header> Type </mat-header-cell>
      <mat-cell *matCellDef="let reimburse"> {{reimburse.typeId.type}} </mat-cell>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="description">
      <mat-header-cell *matHeaderCellDef mat-sort-header> Description </mat-header-cell>
      <mat-cell *matCellDef="let reimburse"> {{reimburse.description}} </mat-cell>
    </ng-container>

    <!-- Weight Column -->
    <ng-container matColumnDef="moneyRequest">
      <mat-header-cell *matHeaderCellDef mat-sort-header> Money Request </mat-header-cell>
      <mat-cell *matCellDef="let reimburse"> {{reimburse.moneyRequest}} </mat-cell>
    </ng-container>

    <!-- Color Column -->
    <ng-container matColumnDef="creationDate">
      <mat-header-cell *matHeaderCellDef mat-sort-header> Creation Date </mat-header-cell>
      <mat-cell *matCellDef="let reimburse"> {{reimburse.creationDate}} </mat-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
    <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
  </mat-table>
</div>
